# 财务后端定时任务

## 正式环境

133.96.95.30/app/finance-tasks

## 定时任务api

### 车辆

#### 睿行

##### 睿行车辆基本信息日数据入库定时任务

```shell
curl --location 'http://localhost:39110/jobs/runJob' \
--header 'Content-Type: application/json' \
--data '{
    "jobName": "CAR_BASE_DATA_DAY_JOB"
}'
```

##### 睿行车辆越界报警日数据入库定时任务

```shell
curl --location 'http://localhost:39110/jobs/runJob' \
--header 'Content-Type: application/json' \
--data '{
    "jobName": "CAR_YUE_JIE_JOB"
}'
```

##### 睿行车辆报废月数据入库定时任务

```shell
curl --location 'http://localhost:39110/jobs/runJob' \
--header 'Content-Type: application/json' \
--data '{
    "jobName": "CAR_BAO_FEI_JOB"
}'
```

##### 睿行车辆行驶里程月数据入库定时任务

```shell
curl --location 'http://localhost:39110/jobs/runJob' \
--header 'Content-Type: application/json' \
--data '{
    "jobName": "CAR_LI_CHENG_MONTH_JOB"
}'
```

##### 睿行车辆无单用车报警月统计数据入库定时任务

```shell
curl --location 'http://localhost:39110/jobs/runJob' \
--header 'Content-Type: application/json' \
--data '{
    "jobName": "CAR_WU_DAN_YONG_CHE_JOB"
}'
```

##### 睿行车辆用车月统计数据入库定时任务

```shell
curl --location 'http://localhost:39110/jobs/runJob' \
--header 'Content-Type: application/json' \
--data '{
    "jobName": "CAR_YONG_CHE_JOB"
}'
```

#### 成本系统

##### 河北成本管理系统车辆燃油数据入库定时任务

```shell
curl --location 'http://localhost:39110/jobs/runJob' \
--header 'Content-Type: application/json' \
--data '{
    "jobName": "CAR_RAN_YOU_JOB"
}'
```

##### 河北成本管理系统车辆大额维修数据入库定时任务

```shell
curl --location 'http://localhost:39110/jobs/runJob' \
--header 'Content-Type: application/json' \
--data '{
    "jobName": "CAR_DA_WEI_XIU_JOB"
}'
```

##### 河北成本管理系统车辆普通维修数据入库定时任务

```shell
curl --location 'http://localhost:39110/jobs/runJob' \
--header 'Content-Type: application/json' \
--data '{
    "jobName": "CAR_WEI_XIU_JOB"
}'
```

##### 河北成本管理系统车辆路桥数据入库定时任务

```shell
curl --location 'http://localhost:39110/jobs/runJob' \
--header 'Content-Type: application/json' \
--data '{
    "jobName": "CAR_LU_QIAO_JOB"
}'
```

##### 河北成本管理系统车辆保险数据入库定时任务

```shell
curl --location 'http://localhost:39110/jobs/runJob' \
--header 'Content-Type: application/json' \
--data '{
    "jobName": "CAR_BAO_XIAN_JOB"
}'
```

##### 河北成本管理系统车辆年检数据入库定时任务

```shell
curl --location 'http://localhost:39110/jobs/runJob' \
--header 'Content-Type: application/json' \
--data '{
    "jobName": "CAR_NIAN_JIAN_FEI_JOB"
}'
```

##### 河北成本管理系统车辆其他费用数据入库定时任务

```shell
curl --location 'http://localhost:39110/jobs/runJob' \
--header 'Content-Type: application/json' \
--data '{
    "jobName": "CAR_QI_TA_JOB"
}'
```

##### 河北成本管理系统自有类房产维修数据入库定时任务

```shell
curl --location 'http://localhost:39110/jobs/runJob' \
--header 'Content-Type: application/json' \
--data '{
    "jobName": "HOUSE_BUILDING_REPAIR_MONTH_JOB"
}'
```
