package com.nokia.finance.tasks;

import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

@SpringBootTest
class FinanceTasksApplicationTests {

    @Test
    void contextLoads() {
    }

    public static void main(String[] args) {
        String input = "出车事由：开会，乘车人：张三、李四、王五";
        String patternStr = "出车事由(.*?)乘车人(.*?)$";
        Pattern pattern = Pattern.compile(patternStr);
        Matcher matcher = pattern.matcher(input);

        if (matcher.find()) {
            String reason = matcher.group(1);
            String passengers = matcher.group(2);
            System.out.println("出车事由：" + reason);
            System.out.println("乘车人：" + passengers);
        } else {
            System.out.println("未找到匹配项");
        }
    }
}
